$fn=100;

width = 10;
height = 10;
length = 24;
screw_dis_Y = 27; // Yellow voltmeter
screw_dis_B = 29; // Blue voltmeter
wall = 1.5;

//board_mount();

voltmeter_mount();
//translate([screw_dis, 0, 0])
//voltmeter_mount();

module board_mount(){
  bm_h = 43;
  bm_e = 20;
  bm_wall = 2;
  
  difference(){
    cube(size=[bm_e, bm_e, bm_h], center=true);
    translate([bm_wall, bm_wall, bm_h/2]){
      cube(size=[bm_e, bm_e, 6], center=true);
    }
  }
}

module voltmeter_mount(){
  difference(){
    union(){
      cube(size=[length, width, height], center=true);
      cube(size=[length + 10, 4, height], center=true);
    }
    translate([0, 0, height/2])
    cube(size=[length+0.1, width+0.2, 8], center=true);
    translate([0, wall, 0])
    cube(size=[length-2*wall, width, height*1.1], center=true);
    
    translate([screw_dis_B/2, 0, 0])
    cylinder(d=1.5, h=height*1.1, center=true);
    translate([-screw_dis_B/2, 0, 0])
    cylinder(d=1.5, h=height*1.1, center=true);
  }
}